Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Interface DocumentEntryElementExtractor

All Known Implementing Classes:
  CDAR2Extractor

    public interface DocumentEntryElementExtractor

Implementations of this interface will extract data from the associated source format and produce individual elements of the Document Entry metadata.

Author:
  Sarah Knoop

Method Summary
`AuthorType[]` | `extractAuthors()` Populates the authors using information from the associated source data.
`AvailabilityStatusType` | `extractAvailabilityStatus()` Populates the availabilityStatus using information from the associated source data.
`CodedMetadataType` | `extractClassCode()` Populates the classCode using information from the associated source data.
`InternationalStringType` | `extractComments()` Populates the comments using information from the associated source data.
`CodedMetadataType` | `extractConfidentialityCode()` Populates the confidentialityCode using information from the associated source data.
`java.lang.String` | `extractCreationTime()` Populates the creationTime using information from the associated source data.
`java.lang.String` | `extractEntryUUID()` Populates the entryUUID using information from the associated source data.
`CodedMetadataType[]` | `extractEventCodes()` Populates the eventCodes using information from the associated source data.
`CodedMetadataType` | `extractFormatCode()` Populates the formatCode using information from the associated source data.
`java.lang.String` | `extractHash()` Populates the hash using information from the associated source data.
`CodedMetadataType` | `extractHealthCareFacilityTypeCode()` Populates the healthcareFacilityTypeCode using information from the associated source data.
`java.lang.String` | `extractLanguageCode()` Populates the languageCode using information from the associated source data.
`XCN` | `extractLegalAuthenticator()` Populates the legalAuthenticator using information from the associated source data.
`java.lang.String` | `extractMimeType()` Populates the mimeType using information from the associated source data.
`java.lang.String` | `extractParentDocumentId()` Populates the parentDocumentId using information from the associated source data.
`ParentDocumentRelationshipType` | `extractParentDocumentRelationship()` Populates the parentDocumentRelationship using information from the associated source data.
`CX` | `extractPatientId()` Populates the patientId using information from the associated source data.
`CodedMetadataType` | `extractPracticeSettingCode()` Populates the practiceSettingCode using information from the associated source data.
`java.lang.String` | `extractServiceStartTime()` Populates the serviceStartTime using information from the associated source data.
`java.lang.String` | `extractServiceStopTime()` Populates the serviceStopTime using information from the associated source data.
`java.lang.String` | `extractSize()` Populates the size using information from the associated source data.
`CX` | `extractSourcePatientId()` Populates the sourcePatientId using information from the associated source data.
`SourcePatientInfoType` | `extractSourcePatientInfo()` Populates the sourcePatientInfo using information from the associated source data.
`InternationalStringType` | `extractTitle()` Populates the title using information from the associated source data.
`CodedMetadataType` | `extractTypeCode()` Populates the typeCode using information from the associated source data.
`java.lang.String` | `extractUniqueId()` Populates the uniqueId using information from the associated source data.
`java.lang.String` | `extractURI()` Populates the uri using information from the associated source data.

Method Detail

### extractAuthors

    AuthorType[] extractAuthors()

  Populates the authors using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractAvailabilityStatus

    AvailabilityStatusType extractAvailabilityStatus()

  Populates the availabilityStatus using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractClassCode

    CodedMetadataType extractClassCode()

  Populates the classCode using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractComments

    InternationalStringType extractComments()

  Populates the comments using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractConfidentialityCode

    CodedMetadataType extractConfidentialityCode()

  Populates the confidentialityCode using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractCreationTime

    java.lang.String extractCreationTime()

  Populates the creationTime using information from the associated source data. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractEntryUUID

    java.lang.String extractEntryUUID()

  Populates the entryUUID using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractEventCodes

    CodedMetadataType[] extractEventCodes()

  Populates the eventCodes using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractFormatCode

    CodedMetadataType extractFormatCode()

  Populates the formatCode using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractHash

    java.lang.String extractHash()

  Populates the hash using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractHealthCareFacilityTypeCode

    CodedMetadataType extractHealthCareFacilityTypeCode()

  Populates the healthcareFacilityTypeCode using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractLanguageCode

    java.lang.String extractLanguageCode()

  Populates the languageCode using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractLegalAuthenticator

    XCN extractLegalAuthenticator()

  Populates the legalAuthenticator using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractMimeType

    java.lang.String extractMimeType()

  Populates the mimeType using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractParentDocumentId

    java.lang.String extractParentDocumentId()

  Populates the parentDocumentId using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractParentDocumentRelationship

    ParentDocumentRelationshipType extractParentDocumentRelationship()

  Populates the parentDocumentRelationship using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractPatientId

    CX extractPatientId()

  Populates the patientId using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractPracticeSettingCode

    CodedMetadataType extractPracticeSettingCode()

  Populates the practiceSettingCode using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractServiceStartTime

    java.lang.String extractServiceStartTime()

  Populates the serviceStartTime using information from the associated source data. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractServiceStopTime

    java.lang.String extractServiceStopTime()

  Populates the serviceStopTime using information from the associated source data. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractSize

    java.lang.String extractSize()

  Populates the size using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractSourcePatientId

    CX extractSourcePatientId()

  Populates the sourcePatientId using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractSourcePatientInfo

    SourcePatientInfoType extractSourcePatientInfo()

  Populates the sourcePatientInfo using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractTitle

    InternationalStringType extractTitle()

  Populates the title using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractTypeCode

    CodedMetadataType extractTypeCode()

  Populates the typeCode using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractUniqueId

    java.lang.String extractUniqueId()

  Populates the uniqueId using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

### extractURI

    java.lang.String extractURI()

  Populates the uri using information from the associated source data.

  Returns:
    Returns the populated attribute. Returns null if this attribute cannot be rendered from the source data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD